handbrake-0.9.5-2-x86_64 FAIL

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

handbrake-0.9.5-2-x86_64 FAIL

Post#1 by Rava » 16 Sep 2011, 07:34

I try creating a handbrake-0.9.5-2-x86_64 module.

(Handbrake is a GUI driven video converter tool.)

I used handbrake-0.9.5-2-x86_64.pkg.tar.xz as base since I did not find any Slackware 13.0 or 13.37 x86_64 package.

But when I try to launch it I get

Code: Select all

bash-4.1$ ghb  
bash: /usr/bin/ghb: File or Folder not found
Same error when you would try to run a x86 binary in a x86_64 environment So I checked what /usr/bin/ghb really is:

Code: Select all

bash-4.1$ file /usr/bin/ghb
/usr/bin/ghb: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), stripped
bash-4.1$ md5sum /usr/bin/ghb
b8fcf79409d6f582e0fa23dc87e77687  /usr/bin/ghb
Any ideas why that might be?
Cheers!
Yours Rava

User avatar
Hamza
Warlord
Warlord
Posts: 1846
Joined: 28 Dec 2010, 07:41
Distribution: Porteus
Location: France

Re: handbrake-0.9.5-2-x86_64 FAIL

Post#2 by Hamza » 16 Sep 2011, 15:34

Hello,

The compat32libs is a package to run 32bit apps on 64bit environment, this libs works will majority of apps, but some apps may not works with this package.

You can use the compat32_mutlilib for x86_64 environment.

The multilib is not available on Official Repository.
You can use my own version

This version is not supported by the Porteus Team.
This version of compat32libs is NOT an official module for Porteus.

Enjoy! :)
NjVFQzY2Rg==

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: handbrake-0.9.5-2-x86_64 FAIL

Post#3 by fanthom » 16 Sep 2011, 21:03

moved to "Bug Reports".

instead of searching google for unknown quality apps i would go with official Slackbuild:
http://slackbuilds.org/repository/13.37 ... HandBrake/

seems that handbrake needs plenty of deps so in case of troubles i would try k9copy, kino, avidemux or kdenlive from official porteus repo:
http://ponce.cc/porteus/x86_64/modules/multimedia/

use "Porteus Package Manager" to download it with all necessary deps.

if you really need HandBrake then i can add it to official repo in next few days.

Cheers
Please add [Solved] to your thread title if the solution was found.

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: handbrake-0.9.5-2-x86_64 FAIL

Post#4 by Rava » 17 Sep 2011, 19:27

@Hamza
I try to run my system without any need of the use of compat32libs is a package to run 32bit apps on 64bit environment; this means I have to search a bit more at times, but that is my goal.
With Opera it works well for now, since I need 2 independent browsers, and I was not interested in running a 32 bit Seamonkey with compat32libs...

@fanthom

Thanks, most of these video editing software uses lots of deps...

I so far have not found what pleases me with all my converting and editing needs; and maybe I will have to use more than just one solution to have everything I need...

I am interested in kino as well...

So, when I install it via the Porteus Package Manager, it also tells me what dependencies I also would install... and what size the resulting modules then are, yes?
Cheers!
Yours Rava

beny
Full of knowledge
Full of knowledge
Posts: 720
Joined: 02 Jan 2011, 11:33
Location: italy

Re: handbrake-0.9.5-2-x86_64 FAIL

Post#5 by beny » 17 Sep 2011, 21:19

hi rava i have make a module of handbrake but the 0.9.5, if you like to try, this is the link http://www.mediafire.com/?hcjey9m96euohn2 ,let me know if work for you,bye

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: handbrake-0.9.5-2-x86_64 FAIL

Post#6 by Rava » 18 Sep 2011, 18:12

Thanks beny, :good:

Code: Select all

$ ldd /usr/bin/HandBrakeCLI |grep not
libtheora.so.0 => not found
libtheoraenc.so.1 => not found
libtheoradec.so.1 => not found

$ ldd /usr/bin/ghb |grep not
libtheora.so.0 => not found
libtheoraenc.so.1 => not found
libtheoradec.so.1 => not found
libgstinterfaces-0.10.so.0 => not found
libgstpbutils-0.10.so.0 => not found
libgstvideo-0.10.so.0 => not found
libgstbase-0.10.so.0 => not found
libgstreamer-0.10.so.0 => not found
libnotify.so.1 => /usr/lib64/libnotify.so.1 (0x00007fee741af000)
for now it's a bit of collecting some missing dependencies...
I will give you heads up and upload a module either with all the deps only, or a complete handbrake-0.9.5-x86_64-deps one so that it runs for all of us out of the box. :)
Cheers!
Yours Rava

Post Reply